Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.bindery
Class BinderyPropertyAttrVal

    java.lang.Object
      |
      +--com.novell.service.bindery.BinderyPropertyAttrVal

public class BinderyPropertyAttrVal
extends java.lang.Object

Holds all the information found in a Bindery Property.

BinderyPropertyAttrVal is used as an Attribute Value attached to the Properties Attribute for a bindery object. This class is immutable, which means once it is created it cannot be changed (except for adding more data segments). To make modifications, extract the data not to be changed, create a new object with the old, and add the object new data.

Constructor Summary
`BinderyPropertyAttrVal(java.lang.String name, int flags, int security)` Constructs a BinderyPropertyAttrVal object with the name, flags and security parameters.

Method Summary
`void` | `addDataSegment(BinderyPropertyDataSegment dataSeg)` Adds a BinderyPropertyDataSegment to an instance of this class.
`boolean` | `equals(java.lang.Object obj)` Compares two BinderyPropertyAttrVal objects.
`BinderyPropertyDataSegment` | `getDataSegment(int segNum)` Returns the specified BinderyPropertyDataSegment from an instance of this class.
`boolean` | `getDynamicFlag()` Determines if this is a dynamic property.
`java.lang.String` | `getName()` Returns the name of an instance of this class.
`int` | `getNumOfSegs()` Returns the number of data segments in an instance of this class.
`int` | `getPropertyFlags()` Returns both the Dynamic and Set flags together as an integer.
`int` | `getSecurity()` Returns the security flag as an int.
`boolean` | `getSetFlag()` Determines if the data in this instance is Set data.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinderyPropertyAttrVal

    public BinderyPropertyAttrVal(java.lang.String name,
                                  int flags,
                                  int security)

  Constructs a BinderyPropertyAttrVal object with the name, flags and security parameters.
  Parameters:
    `name` - The name of this property.
    `flags` - Static/dynamic and set/nonset bits.
    `security` - The type of read/write access for this property.

Method Detail

### addDataSegment

    public void addDataSegment(BinderyPropertyDataSegment dataSeg)

  Adds a BinderyPropertyDataSegment to an instance of this class.
  Parameters:
    `dataSeg` - Adds a BinderyPropertyDataSegment to an instance of this class

### getDataSegment

    public BinderyPropertyDataSegment getDataSegment(int segNum)

  Returns the specified BinderyPropertyDataSegment from an instance of this class.
  Parameters:
    `segnum` - The segment number to return.

### getNumOfSegs

    public int getNumOfSegs()

  Returns the number of data segments in an instance of this class.
  Returns:
    The number of data segments.

### getName

    public java.lang.String getName()

  Returns the name of an instance of this class.
  Returns:
    The name of an instance of this class.

### getDynamicFlag

    public boolean getDynamicFlag()

  Determines if this is a dynamic property.
  Returns:
    A boolean set to TRUE if this is a dynamic (not a static) property, otherwise set to FALSE.

### getSetFlag

    public boolean getSetFlag()

  Determines if the data in this instance is Set data.
  Returns:
    A boolean set to TRUE if the data in this instance is Set data.

### getPropertyFlags

    public int getPropertyFlags()

  Returns both the Dynamic and Set flags together as an integer. This is how they are used in the old API.
  Returns:
    The Dynamic and Set flags together as an integer.

### getSecurity

    public int getSecurity()

  Returns the security flag as an int.
  Returns:
    The security flag.

### equals

    public boolean equals(java.lang.Object obj)

  Compares two BinderyPropertyAttrVal objects.

  Compares two objects in order to do searches on the BinderyProperty attribute. The comparison is TRUE if all valid values in the parameter are found in the current object. Values can be invalidated (tagged to be ignored) by setting them either to -1 (for the security field) or null (name field) or just not adding any data fields. The flags are never valid values on which to compare.

  Both objs must have the same number of segments. However, if they hold set data, they don not need to have the same number of IDs. This lets you search an obj for one ID. Since each segment can hold 32 IDs, the restriction to have same number of segments is fairly loose.

  Parameters:
    `obj` - The object with which to compare the current object.
  Returns:
    A boolean set to TRUE if all values in the parameter are found in the current object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Returns:
    A string representation of the object.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD